Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.expr
Class DeepSkipRuleSet

    java.lang.Object
      com.saxonica.expr.DeepSkipRuleSet

All Implemented Interfaces:
  Serializable, BuiltInRuleSet

    public class DeepSkipRuleSet

extends Object
implements BuiltInRuleSet

The rule set introduced in XSLT 3.0, which (for any kind of node) simply ignores the node and its descendants.

See Also:
  Serialized Form

Method Summary
`static DeepSkipRuleSet` | `getInstance()` Get the singleton instance of this class
`void` | `process(Item item, ParameterSet parameters, ParameterSet tunnelParams, XPathContext context, int locationId)` Perform the built-in template action for a given item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DeepSkipRuleSet getInstance()

  Get the singleton instance of this class

  Returns:
    the singleton instance

### process

    public void process(Item item,
                        ParameterSet parameters,
                        ParameterSet tunnelParams,
                        XPathContext context,
                        int locationId)
                 throws XPathException

  Perform the built-in template action for a given item.

  Specified by:
    `process` in interface `BuiltInRuleSet`
  Parameters:
    `item` - the item to be processed
    `parameters` - the parameters supplied to apply-templates
    `tunnelParams` - the tunnel parameters to be passed through
    `context` - the dynamic evaluation context
    `locationId` - location of the instruction (apply-templates, apply-imports etc) that caused the built-in template to be invoked @throws net.sf.saxon.trans.XPathException if any dynamic error occurs
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.